Welcome to the Forum Archive!

Years of conversation fill a ton of digital pages, and we've kept all of it accessible to browse or copy over. Whether you're looking for reveal articles for older champions, or the first time that Rammus rolled into an "OK" thread, or anything in between, you can find it here. When you're finished, check out the boards to join in the latest League of Legends discussions.

GO TO BOARDS


PvP.net FATAL ERROR

1
Comment below rating threshold, click here to show it.

Challenger Rock

Recruiter

09-23-2012

Greetings.

I was reading through several threads about how some people are having trouble launching PBE through both the normal launcher as well as under administrator. I was having similar issues. I could not launch PBE under the normal launcher as the logo would appear, however the patching menu would never appear. After reading through several threads people said to run through administrator. After running through Administrator, I was able to patch. However, that is when I had a new trouble. When I clicked start, I get a message saying:

"0001: lib.external.Xiff has an undefined dependency: lib.RiotLogger"

I am not sure how to go about fixing this as it looks like an internal problem. I'm thinking it might have to do with some of the actually programs as the error seems to indicate that there is a depenency on a program that it is not supposed to be depenant on. At the top of the screen it shows:

"PvP.net FATAL ERROR"

Has anyone else had this problem? Anyone know how to fix it? I am going to try and repair my PBE and see if that works, however I don't think it will. I will update once it is finished and report whether or not it will work. Please help.


Comment below rating threshold, click here to show it.

The Butt Crack

Junior Member

09-23-2012

Me too D: help


Comment below rating threshold, click here to show it.

Flyflake

Senior Member

09-23-2012

My PBE client has not worked for like a week, whereas my normal client works perfectly.. This is so frustrating >.<


Comment below rating threshold, click here to show it.

Challenger Rock

Recruiter

09-23-2012

This helped to solve my problem:

https://support.leagueoflegends.com/entries/21804747-patcher-problems


Comment below rating threshold, click here to show it.

Animus Sound

Junior Member

09-25-2012

i fixed mine using another method than that support page, if it doesn't work for you then try doing what i did. In the LOLPBE folder, i went to:
RADS/projects/lol_air_client/releases/0.0.0.165/deploy/lib/external/dependencies
and deleted the phrase "lib.RiotLogger"


1